[package]
name = "polymodel-api"
description = "Generated AT Protocol API bindings for polymodel"
version.workspace = true
edition.workspace = true
license.workspace = true

[dependencies]
jacquard-common = { workspace = true }
jacquard-derive = { workspace = true }
jacquard-lexicon = { workspace = true }
miette = { workspace = true }
thiserror = { workspace = true }
serde = { workspace = true }

[lints.rust]
non_snake_case = "allow"
unused_imports = "allow"

[lints.clippy]
absurd_extreme_comparisons = "allow"
collapsible_if = "allow"
new_without_default = "allow"
new_ret_no_self = "allow"
type_complexity = "allow"
needless_update = "allow"
manual_strip = "allow"
unit_arg = "allow"

[features]
default = ["space_polymodel", "com_atproto", "serde"]
streaming = ["jacquard-common/websocket"]
serde = []

# --- generated ---
# Generated namespace features
app_bsky = ["com_atproto"]
com_atproto = []
space_polymodel = ["app_bsky", "com_atproto"]
